Welcome to the Gallery. Please feel free to post and comment, and check out our FAQ!
2022-05-26 Updates: Email: If you're not seeing emails be delivered from the Community, please check your spam and mark the Community emails as not junk. Thank you for your patience.

Public Community Gallery

Post, download, and share all of your favorite tools and workflows — from Alteryx supported to user-built.
Welcome to the Gallery!

Feel free to migrate your items from the former Public Gallery or post new ones. Got questions? Check out our FAQ!

Comments
Danny-Farrar
8 - Asteroid

I'm getting an error

"Error: Salesforce Input (7): Traceback (most recent call last):
File "main.py", line 10, in <module>
ModuleNotFoundError: No module named 'aiohttp'"

 

Does anyone know what that might be related to and how to resolve please?

 

Thanks!

 

amti
7 - Meteor

Also, this new connector only list regular names for objects, not API names, like the old input tools. Is this expected behavior? How do we distinguish between 2 objects with same name, but different API names if they're listed with the same name with this new Input tool? I'm confused ...

It seems that it's also not working properly in a marcro where we want to use the "SELECT ALL" for control parameter ...it simply does not select every fields. this worked for old connectors as well.
The problem with old connectors is that they don't see newest SFDC API, hence new standard objects won't show on those old ones.

jai_cotman
6 - Meteoroid

Getting error that the SELECT FIELDS(ALL) syntax is not supported in this version of the tool.  Will this be updated soon, as having to input every field name in an object is extremely time consuming?  Thanks!

 

jai_cotman_0-1645212962341.png

 

pauldance
5 - Atom

This new tool isn't great - all of the comments above are a step back from the previous tool (aside from the "FIELDS(ALL)" soql statement, as that wasn't available then either - but is definitely needed). My biggest frustration is the amount of failures it has. I regularly see: 

 

Error: Salesforce Input: HTTPSConnectionPool(host='login.salesforce.com', port=443): Max retries exceeded with url: /services/oauth2/token (Caused by NewConnectionError('<urllib3.connection.HTTPSConnection object at 0x00000271A2014AF0>: Failed to establish a new connection: [WinError 10060] A connection attempt failed because the connected party did not properly respond after a period of time, or established connection failed because connected host has failed to respond'))

 

This is just an example from an object with less than 150 records, so it's hardly trying to retrieve much.

ondrouchch
5 - Atom

Hi.

 

Received information from Salesforce that Salesforce will retire API version 7-20 on May 1, 2022. See https://help.salesforce.com/s/articleView?id=000351312&type=1. Seems that the Salesforce connector is using v 20.0. Do we plan to have an updated version?

 

BR, Ondrej

 

MichelleL
Alteryx
Alteryx
The Salesforce Input v4.0 - 4.3 are on API Version v42
rodgerh
5 - Atom

I downloaded the Salesforceinput_v4.3.4.yxi file. How do I install it? When I open it it says "Windows can't open the file" and prompts me to select an app. What do I select?

MichelleL
Alteryx
Alteryx

@rodgerh - open with Alteryx Designer

jljones5
5 - Atom

I have a user that is using this connector and he's showing on our side in Salesforce as making v20 requests. Does he need to somehow upgrade the tool in order for this to change? He only started using Alteryx recently, so he should have the most recent version that is listed above (v4.2.4). I'm not seeing anything more recent than that one.

MichelleL
Alteryx
Alteryx

@jljones5 Check the Salesforce Output tool version.  An older version of this tool used v20.  The latest version, Salesforce Output v1.3.1 uses v42.

jljones5
5 - Atom

Michelle - I am not seeing how to do that... I tried downloading it myself and it appears to have downloaded v4.2.4 and I'm not seeing a way to check for a more updated version.

MichelleL
Alteryx
Alteryx
jljones5
5 - Atom

Hi Michelle - sorry, I'm referring to the Input tool, not the Output tool. Our issue is with the Input.

MichelleL
Alteryx
Alteryx

@jljones5 I understand; however, I had a customer with the same issue last week (seeing v20).  They thought it was caused by the Salesforce Input tool, and the culprit ended up being the Salesforce Output tool.  It's just a guess, but that's what I'd recommend checking.  If that's not the case, then I'd suggest opening a support ticket to investigate further.

Ari1
5 - Atom

Does the Salesforce Input Tool Support SSO (Single Sign-On)?

-Ari

johnzrgu75
7 - Meteor

For version 4.2.4 and 4.1.0 error as below.

  • Traceback (most recent call last): File "main.py", line 76, in pi_init RuntimeError: Internal Error: DecryptPassword - buffer too small (Tool Id: 1)
ondrouchch
5 - Atom

Need to upgrade to Salesforce Input Tool v4.2.4 in all my workflows. Is there some easy way to do it or do I have to manually replace the connectors one by one (will take ages...). Thanks for any hint.

pauldance
5 - Atom

Hi @ondrouchch and all - I'm not sure if you're updating the tool in prep for the older API services being canned by Salesforce (https://help.salesforce.com/s/articleView?id=000354473&type=1), but i've taken a look at the JS for the input tool and it appears to be using v34 (safe for a little while longer). 

SF Input Tool.png

 

I've also tested in one of our Saleforce UAT environments which has applied the API changes, and everything seems fine (both input and output tools).

 

I have the new version of the input tool, but just can't get it to work stably enough to use for production workflows. Hopefully the reprieve with the older Input and Output tools gives the @AlteryxProducts devs enough time to release a more stable set of tools to move to. 

MichelleL
Alteryx
Alteryx

@ondrouchch - when I did this in my own workflows, I found that after I installed the new version of the connector, that my designer automatically picked it up.  No extra work needed.  If I happen to need to use the older version, it then gave me the option when I right clicked on the tool to choose a version.  Hope this helps!

emilieAuzemery
5 - Atom

Hello,

 

I am having issues working with Salesforce Input tool : configuration items do not appear (same problem as here : https://community.alteryx.com/t5/Alteryx-Designer-Discussions/Alteryx-Salesforce-Input-Tool-Can-t-be... )

Seems OK with Output Tool.

Any idea with what might be wrong?

 

Thank you

SF input tool error.PNGI get the below error when trying to install the SF input tool V4.2.4. Please can anyone guide me on how i can overcome this error and successfully install the tool? thank you V